/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: GetJDBCConnectionsInfosEvent.as 18499 2009-09-03 14:25:10Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.classloader.event {


import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;

/**
 * Gets data about exported packages on the JOnAS system (OSGi)
 * @author Florent Benoit
 */
public class GetExportedPackagesEvent extends CairngormEvent {


    /**
     * Name of the Event.
     */
    public static const EVENT_GET_EXPORTED_PACKAGES : String = "GetExportedPackages";

    /**
     * Name of the resource to search (package/class).
     */
    private var resourceName : String = null;

    /**
     * Class, package ?
     */
    private var isClass : Boolean = false;



    public function GetExportedPackagesEvent(type : String, resourceName : String, isClass : Boolean) {
        super(type);
        this.resourceName = resourceName;
        this.isClass = isClass;
    }


    /**
     * Overrides the clone function of the CairngormEvent class.
     * returns Event
     */
    override public function clone() : Event {
        return new GetExportedPackagesEvent(this.type, resourceName, isClass);
    }

    public function get value() : String {
        return resourceName;
    }

    public function get isAClass() : Boolean {
        return isClass;
    }

}
}