/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: GetJDBCConnectionsInfosEvent.as 18499 2009-09-03 14:25:10Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.classloader.event {


import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;

/**
 * Gets all Java EE standalone applications (APPS, EJB, WARS)
 * @author Florent Benoit
 */
public class GetStandaloneApplicationsEvent extends CairngormEvent {


    /**
     * Name of the Event.
     */
    public static const EVENT_GET_STANDALONE_APPLICATIONS : String = "GetStandaloneApplicationsEvent";

    /**
     * Name of the filter to search.
     */
    private var filterName : String = null;

	/**
	 * Including EAR ?
	 */
	private var includeEAR : Boolean = true;

	/**
	 * Including EJBJAR ?
	 */
	private var includeEJBJAR : Boolean = true;

	/**
	 * Including WAR ?
	 */
	private var includeWAR : Boolean = true;


    public function GetStandaloneApplicationsEvent(type : String, filterName : String, includeEAR : Boolean, includeEJBJAR : Boolean, includeWAR : Boolean) {
        super(type);
		this.filterName = filterName;
		this.includeEAR = includeEAR;
		this.includeEJBJAR = includeEJBJAR;
		this.includeWAR = includeWAR;
    }


    /**
     * Overrides the clone function of the CairngormEvent class.
     * returns Event
     */
    override public function clone() : Event {
        return new GetStandaloneApplicationsEvent(this.type, filterName, includeEAR, includeEJBJAR, includeWAR);
    }

    public function get filter() : String {
        return filterName;
    }

	public function get includesEAR() : Boolean {
		return includeEAR;
	}

	public function get includesEJBJAR() : Boolean {
		return includeEJBJAR;
	}

	public function get includesWAR() : Boolean {
		return includeWAR;
	}



}
}